Subject: RE: penultimate hop poping

From: [email-masked]
Date: Wed, 25 Jul 2001 09:10:30 +0500

hello Chetan 

  The RFC3036 clearly mentions the following thing

--------------------------------------------------------------------
6. Areas for Future Study

   The following topics not addressed in this version of LDP are
   possible areas for future study:

      -  Section 2.16 of the MPLS architecture [RFC3031] requires that
         the initial label distribution protocol negotiation between
         peer LSRs enable each LSR to determine whether its peer is
         capable of popping the label stack.  This version of LDP
         assumes that LSRs support label popping for all link types
         except ATM and Frame Relay.  A future version may specify means
         to make this determination part of the session initiation
         negotiation.
------------------------------------------------------------------------

So the RFC is not missing anything but it is left for the future study

Regds
Ashwin

-----Original Message-----
From: chetan kumar s [mailto:[email-masked]]
Sent: Wednesday, July 25, 2001 8:30 AM
To: Eric Gray
Cc: [email-masked]; [email-masked]
Subject: Re: penultimate hop poping

Hi,

>     Of course, some implementations may so far depend on PHP that they
> will give the IMPLICIT NULL label again in this case - even though this
> is a clear violation of the specification.

	'violation of specification' how ?? I do not see any such
statements in any of the RFC, have I missed something ??

And beyond that if I look at the RFC 3031 section 3.16 Page 19, it states

   Initial label distribution protocol negotiations MUST allow each LSR
   to determine whether its neighboring LSRS are capable of popping the
   label stack.

So, does the RFC 3036 missing something in the init message ??

Thanks
Chetan S

>
> --
> Eric Gray
>
> You wrote:
>
> > Dear all,
> >
> >         as per rfc3031 under section 3.16.
> > 1)Initial LDP negotiations MUST allow each LSR to determine whether its
> > neighbouring LSRS are capable of poping the label stack.
> >
> > how can we(egress) determine that our neighbour has the capability of
poping
> > the stack.
> >
> > 2)A LSR MUST NOT Request a label distribution peer to pop the label
stack
> > unless it is capable of doing so.
> >         is it possible that a LSR will not support the label stack
poping.
> >
> > and under section 4.1.5 (rfc3031)
> > LSR Rd distributes a binding between Implicit NULL and an address prefix
X to
> > LSR Ru if and only if :
> >         1. the rules os -----------
> >         2.Rd knows that Ru Can Support Implicit NULL label(i.e. that it
can pop the
> > label stack) ...
> > how can Rd (egress) knows that  Ru has support of poping of stack. or is
it a
> > MUST that each LSR should support penultimate hop poing.
> >
> > please calrify ,me about this.
> > thanks in adv.
> > regards
> > lonka
>

---

From: Srinivas Reddy <[email-masked]>
Date: Wed, 25 Jul 2001 20:40:02 +0530

thnak all for u r suggestions,

now i my conclusion is for the timebeing i can think of that each LSR MUST 
support penultimate hop poping., and egress(LSR) also will assume that it has 
the capability of doing so.
in future this may not work.

once again thanks
regards
lsreddy

> > > please calrify ,me about this.

----------------------------------------
Content-Type: text/html; charset="iso-8859-1"; name="Attachment: 1"
Content-Transfer-Encoding: quoted-printable
Content-Description: 
----------------------------------------